Name:           maven-resources-plugin
Version:        2.6
Release:        %mkrel 2
Summary:        Maven Resources Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-resources-plugin
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch: noarch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: maven
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-shared-reporting-impl
BuildRequires: plexus-interpolation
BuildRequires: plexus-digest
BuildRequires: maven-project
BuildRequires: maven-monitor
BuildRequires: maven-filtering
BuildRequires: maven-docck-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-plugin-annotations
BuildRequires: maven-plugin-tools-annotations
BuildRequires: maven-plugin-descriptor
BuildRequires: maven-plugin-tools-api
BuildRequires: maven-plugin-tools-generators
BuildRequires: forge-parent

Requires: plexus-build-api
Requires: plexus-containers-container-default
Requires: plexus-utils
Requires: plexus-interpolation
Requires: maven-plugin-testing-harness
Requires: maven-filtering
Requires: maven
Requires: maven-project
Requires: maven-monitor
Requires:       jpackage-utils
Requires:       java

Provides:       maven2-plugin-resources = %{version}-%{release}
Obsoletes:      maven2-plugin-resources <= 0:2.0.8

%description
The Resources Plugin handles the copying of project resources
to the output directory.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}
sed -i "s|<artifactId>plexus-maven-plugin</artifactId>|<artifactId>plexus-component-metadata</artifactId>|" pom.xml
sed -i "s|<goal>test-descriptor</goal>|<goal>generate-test-metadata</goal>|" pom.xml
%build
mvn-rpmbuild \
        -Dmaven.test.failure.ignore=true \
        install javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/


%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.6-2.mga3
+ Revision: 359763
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 2.6-1.mga3
+ Revision: 326349
- New version

* Sat Mar 03 2012 dmorgan <dmorgan> 2.5-2.mga2
+ Revision: 217063
- Rebuild because of missing rpms

* Mon Jan 02 2012 gil <gil> 2.5-1.mga2
+ Revision: 189524
- replaced test-descriptor with generate-test-metadata
- replaced plexus-maven-plugin with plexus-component-metadata

  + dmorgan <dmorgan>
    - New version 2.5
    - Add several packages to BR/R as stated in pom.xml
    - Build with maven 3.
      Add plexus-build-api to Requires

* Thu Apr 28 2011 dmorgan <dmorgan> 2.4.3-3.mga1
+ Revision: 92724
- Rebuild after bootstrapping
- imported package maven-resources-plugin

